## tendermint-go-rpc 0.0~git20161021.0.e6e3853

=== Makefile ===
.PHONY: all test get_deps

all: test

test:
	go test --race github.com/tendermint/go-rpc/...
	cd ./test && bash test.sh


get_deps:
	go get -t -d github.com/tendermint/go-rpc/...

=== debian/changelog ===
tendermint-go-rpc (0.0~git20161021.0.e6e3853-2) unstable; urgency=medium

  [ Jack Henschel ]
  * Fix FTBFS #856834.
    The location of the test socket is static. When the test is run
    multiple times, the socket already exists (aka can't be created),
    hence the test fails.
    This can be fixed by deleting the socket before every run.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Mar 2017 19:35:27 +0000

tendermint-go-rpc (0.0~git20161021.0.e6e3853-1) unstable; urgency=medium

  * Initial release (Closes: #846646)

 -- Alessio Treglia <alessio@debian.org>  Fri, 02 Dec 2016 22:25:06 +0000

=== debian/control ===
Source: tendermint-go-rpc
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-gorilla-websocket-dev,
               golang-github-tendermint-go-common-dev,
               golang-github-tendermint-go-events-dev,
               golang-github-tendermint-go-wire-dev,
               golang-github-tendermint-log15-dev
Standards-Version: 3.9.8
Homepage: https://github.com/tendermint/go-rpc
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/tendermint-go-rpc.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/tendermint-go-rpc.git
XS-Go-Import-Path: github.com/tendermint/go-rpc

Package: golang-github-tendermint-go-rpc-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-gorilla-websocket-dev,
         golang-github-tendermint-go-common-dev,
         golang-github-tendermint-go-events-dev,
         golang-github-tendermint-go-wire-dev,
         golang-github-tendermint-log15-dev
Description: RPC server in Go supporting multiple request formats
 HTTP RPC server supporting calls via URI params, jsonrpc
 and jsonrpc over websockets.
 .
 Tendermint Core is Byzantine Fault Tolerant (BFT) middleware that takes a
 state transition machine, written in any programming language, and
 replicates it on many machines.
 .
 This package is used by the Tendermint Core component.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/golang-github-tendermint-go-rpc-dev/usr/bin

override_dh_auto_clean:
	dh_auto_clean
	rm -f /tmp/go-rpc.sock
